
Extended Fields - Support #2094

Install on Redmine 2.0.3

23 Jul 2012 10:40 - N Lamo

Status: Closed Start date: 23 Jul 2012

Priority: Major Due date: 19 Sep 2012

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0b   

Redmine version: 2.0.3 External issue:  

Description

Dear M Lesyuk,

When I try to install this plug in on Redmine 2.0.3, I have this message (see below)

can you help me please ?

Environment:

Redmine version                          2.0.3.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.6

Environment                              production

Database adapter                         Mysql2

uninitialized constant WikiCustomFieldFormat

/soft/redmine/plugins/extended-fields/init.rb:8:in `block in <top (required)>'

/soft/redmine/lib/redmine/custom_field_format.rb:61:in `map’

/soft/redmine/plugins/extended-fields/init.rb:7:in `<top (required)>'

/soft/redmine/lib/redmine/plugin.rb:129:in `block in load’

/soft/redmine/lib/redmine/plugin.rb:120:in `each’

/soft/redmine/lib/redmine/plugin.rb:120:in `load’

/soft/redmine/config/initializers/30-redmine.rb:13:in `<top (required)>'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/engine.rb:588:in `block (2 levels) in <class:Engine>'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/engine.rb:587:in `each’

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/engine.rb:587:in `block in <class:Engine>'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/initializable.rb:30:in `instance_exec’

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/initializable.rb:30:in `run’

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/initializable.rb:55:in `block in run_initializers’

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/initializable.rb:54:in `each’

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/initializable.rb:54:in `run_initializers’

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/application.rb:136:in `initialize!'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/railtie/configurable.rb:30:in `method_missing’

/soft/redmine/config/environment.rb:14:in `<top (required)>'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/application.rb:103:in `require’

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/application.rb:103:in `require_environment!'

/usr/local/lib/ruby/gems/1.9.1/gems/railties-3.2.6/lib/rails/application.rb:292:in `block (2 levels) in initialize_tasks’

/usr/local/lib/ruby/1.9.1/rake/task.rb:205:in `call’

/usr/local/lib/ruby/1.9.1/rake/task.rb:205:in `block in execute’

/usr/local/lib/ruby/1.9.1/rake/task.rb:200:in `each’

/usr/local/lib/ruby/1.9.1/rake/task.rb:200:in `execute’

/usr/local/lib/ruby/1.9.1/rake/task.rb:158:in `block in invoke_with_call_chain’

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize’

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain’

/usr/local/lib/ruby/1.9.1/rake/task.rb:176:in `block in invoke_prerequisites’

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `each’

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `invoke_prerequisites’

/usr/local/lib/ruby/1.9.1/rake/task.rb:157:in `block in invoke_with_call_chain’

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize’

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain’

/usr/local/lib/ruby/1.9.1/rake/task.rb:176:in `block in invoke_prerequisites’

/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `each’
/usr/local/lib/ruby/1.9.1/rake/task.rb:174:in `invoke_prerequisites’

/usr/local/lib/ruby/1.9.1/rake/task.rb:157:in `block in invoke_with_call_chain’

/usr/local/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize’

/usr/local/lib/ruby/1.9.1/rake/task.rb:151:in `invoke_with_call_chain’

/usr/local/lib/ruby/1.9.1/rake/task.rb:144:in `invoke’

/usr/local/lib/ruby/1.9.1/rake/application.rb:116:in `invoke_task’

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `block (2 levels) in top_level’

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `each’

/usr/local/lib/ruby/1.9.1/rake/application.rb:94:in `block in top_level’

/usr/local/lib/ruby/1.9.1/rake/application.rb:133:in `standard_exception_handling’

/usr/local/lib/ruby/1.9.1/rake/application.rb:88:in `top_level’

/usr/local/lib/ruby/1.9.1/rake/application.rb:66:in `block in run’

/usr/local/lib/ruby/1.9.1/rake/application.rb:133:in `standard_exception_handling’

/usr/local/lib/ruby/1.9.1/rake/application.rb:63:in `run’

Regards

Associated revisions

Revision 48 - 26 Aug 2012 19:19 - Andriy Lesyuk

Moved CustomFieldFormat initialization, fixed form_tag for Rails 3, fixed routes (#2094)

Revision 49 - 29 Aug 2012 10:27 - Andriy Lesyuk

Fixed read_attribute and routes for Redmine 2.0 (#2094)

History

#1 - 25 Aug 2012 20:08 - Andriy Lesyuk

- Status changed from New to Open

- Priority changed from Normal to Major

- Target version set to 0.2.0b

#2 - 26 Aug 2012 17:28 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 10

#3 - 29 Aug 2012 10:28 - Andriy Lesyuk

- % Done changed from 10 to 70

#4 - 19 Sep 2012 21:47 - Andriy Lesyuk

- Due date set to 19 Sep 2012

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
